import { GatewayConfig } from "../config/GatewayConfig";
import { StcHttpRequestObj } from "../model/StcHttpRequestObj";
/**
 * 缩减版的 SideCar
 */
declare class SideCar {
    buildHostUrl(serviceClientConfig: GatewayConfig, sid: string, version: string, requestObj: StcHttpRequestObj): string;
}
declare const _default: SideCar;
export default _default;
